org.jbpm.process.audit

## Class JPAAuditLogService

- java.lang.Object
- - org.jbpm.process.audit.JPAService
  - - org.jbpm.process.audit.JPAAuditLogService

- All Implemented Interfaces:
    AuditLogService, org.kie.api.runtime.manager.audit.AuditService
  Direct Known Subclasses:
    TaskJPAAuditService

      public class JPAAuditLogService
      extends JPAService
      implements AuditLogService

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.JPAService

      `persistenceStrategy, persistenceUnitName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAAuditLogService()`
    `JPAAuditLogService(javax.persistence.EntityManagerFactory emf)`
    `JPAAuditLogService(javax.persistence.EntityManagerFactory emf, PersistenceStrategyType type)`
    `JPAAuditLogService(org.kie.api.runtime.Environment env)`
    `JPAAuditLogService(org.kie.api.runtime.Environment env, PersistenceStrategyType type)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `addCriteria(String listId, String fieldName, Class<?> type)`
    `void` | `clear()`
    `int` | `doDelete(String queryTable, org.jbpm.query.jpa.data.QueryWhere queryData, String subQuery, Map<String,Object> queryParams)`
    `int` | `doPartialDelete(String queryTable, org.jbpm.query.jpa.data.QueryWhere queryData, String subQuery, Map<String,Object> queryParams, int chunkSize)`
    `<T> List<T>` | `doQuery(org.jbpm.query.jpa.data.QueryWhere queryWhere, Class<T> queryType)`
    `List<ProcessInstanceLog>` | `findActiveProcessInstances()`
    `List<ProcessInstanceLog>` | `findActiveProcessInstances(String processId)`
    `List<NodeInstanceLog>` | `findNodeInstances(long processInstanceId)`
    `List<NodeInstanceLog>` | `findNodeInstances(long processInstanceId, String nodeId)`
    `ProcessInstanceLog` | `findProcessInstance(long processInstanceId)`
    `List<ProcessInstanceLog>` | `findProcessInstances()` Service methods
    `List<ProcessInstanceLog>` | `findProcessInstances(String processId)`
    `List<ProcessInstanceLog>` | `findSubProcessInstances(long processInstanceId)`
    `List<VariableInstanceLog>` | `findVariableInstances(long processInstanceId)`
    `List<VariableInstanceLog>` | `findVariableInstances(long processInstanceId, String variableId)`
    `List<VariableInstanceLog>` | `findVariableInstancesByName(String variableId, boolean onlyActiveProcesses)`
    `List<VariableInstanceLog>` | `findVariableInstancesByNameAndValue(String variableId, String value, boolean onlyActiveProcesses)`
    `protected org.jbpm.query.jpa.impl.QueryCriteriaUtil` | `getQueryCriteriaUtil(Class<?> queryType)`
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `nodeInstanceLogDelete()`
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `nodeInstanceLogQuery()` Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `NodeInstanceLog` instances.
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `processInstanceLogDelete()`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `processInstanceLogQuery()` Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `ProcessInstanceLog` instances.
    `<T,R> List<R>` | `queryLogs(org.jbpm.query.jpa.data.QueryWhere queryData, Class<T> queryClass, Class<R> resultClass)`
    `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogDeleteBuilder` | `variableInstanceLogDelete()`
    `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `variableInstanceLogQuery()` Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `VariableInstanceLog` instances.

    - ### Methods inherited from class org.jbpm.process.audit.JPAService

      `closeEntityManager, dispose, executeQuery, getEntityManager, getPersistenceUnitName, joinTransaction, setPersistenceUnitName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.runtime.manager.audit.AuditService

      `dispose`

- - ### Constructor Detail

    - #### JPAAuditLogService

          public JPAAuditLogService()

    - #### JPAAuditLogService

          public JPAAuditLogService(org.kie.api.runtime.Environment env)

    - #### JPAAuditLogService

          public JPAAuditLogService(org.kie.api.runtime.Environment env,
                                    PersistenceStrategyType type)

    - #### JPAAuditLogService

          public JPAAuditLogService(javax.persistence.EntityManagerFactory emf)

    - #### JPAAuditLogService

          public JPAAuditLogService(javax.persistence.EntityManagerFactory emf,
                                    PersistenceStrategyType type)

  - ### Method Detail

    - #### findProcessInstances

          public List<ProcessInstanceLog> findProcessInstances()

      Description copied from interface: `AuditLogService`
      Service methods
      Specified by:
        `findProcessInstances` in interface `AuditLogService`
      Specified by:
        `findProcessInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findActiveProcessInstances

          public List<ProcessInstanceLog> findActiveProcessInstances()

      Specified by:
        `findActiveProcessInstances` in interface `AuditLogService`

    - #### findProcessInstances

          public List<ProcessInstanceLog> findProcessInstances(String processId)

      Specified by:
        `findProcessInstances` in interface `AuditLogService`
      Specified by:
        `findProcessInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findActiveProcessInstances

          public List<ProcessInstanceLog> findActiveProcessInstances(String processId)

      Specified by:
        `findActiveProcessInstances` in interface `AuditLogService`
      Specified by:
        `findActiveProcessInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findProcessInstance

          public ProcessInstanceLog findProcessInstance(long processInstanceId)

      Specified by:
        `findProcessInstance` in interface `AuditLogService`
      Specified by:
        `findProcessInstance` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findSubProcessInstances

          public List<ProcessInstanceLog> findSubProcessInstances(long processInstanceId)

      Specified by:
        `findSubProcessInstances` in interface `AuditLogService`
      Specified by:
        `findSubProcessInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findNodeInstances

          public List<NodeInstanceLog> findNodeInstances(long processInstanceId)

      Specified by:
        `findNodeInstances` in interface `AuditLogService`
      Specified by:
        `findNodeInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findNodeInstances

          public List<NodeInstanceLog> findNodeInstances(long processInstanceId,
                                                         String nodeId)

      Specified by:
        `findNodeInstances` in interface `AuditLogService`
      Specified by:
        `findNodeInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findVariableInstances

          public List<VariableInstanceLog> findVariableInstances(long processInstanceId)

      Specified by:
        `findVariableInstances` in interface `AuditLogService`
      Specified by:
        `findVariableInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findVariableInstances

          public List<VariableInstanceLog> findVariableInstances(long processInstanceId,
                                                                 String variableId)

      Specified by:
        `findVariableInstances` in interface `AuditLogService`
      Specified by:
        `findVariableInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findVariableInstancesByName

          public List<VariableInstanceLog> findVariableInstancesByName(String variableId,
                                                                       boolean onlyActiveProcesses)

      Specified by:
        `findVariableInstancesByName` in interface `AuditLogService`
      Specified by:
        `findVariableInstancesByName` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findVariableInstancesByNameAndValue

          public List<VariableInstanceLog> findVariableInstancesByNameAndValue(String variableId,
                                                                               String value,
                                                                               boolean onlyActiveProcesses)

      Specified by:
        `findVariableInstancesByNameAndValue` in interface `AuditLogService`
      Specified by:
        `findVariableInstancesByNameAndValue` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### nodeInstanceLogQuery

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder nodeInstanceLogQuery()

      Description copied from interface: `AuditLogService`
      Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `NodeInstanceLog` instances.
      Specified by:
        `nodeInstanceLogQuery` in interface `AuditLogService`
      Returns:
        a `NodeInstanceLogQueryBuilder` instance

    - #### variableInstanceLogQuery

          public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder variableInstanceLogQuery()

      Description copied from interface: `AuditLogService`
      Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `VariableInstanceLog` instances.
      Specified by:
        `variableInstanceLogQuery` in interface `AuditLogService`
      Returns:
        a `VariableInstanceLogQueryBuilder` instance

    - #### processInstanceLogQuery

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder processInstanceLogQuery()

      Description copied from interface: `AuditLogService`
      Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `ProcessInstanceLog` instances.
      Specified by:
        `processInstanceLogQuery` in interface `AuditLogService`
      Returns:
        a `ProcessInstanceLogQueryBuilder` instance

    - #### processInstanceLogDelete

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder processInstanceLogDelete()

      Specified by:
        `processInstanceLogDelete` in interface `AuditLogService`

    - #### nodeInstanceLogDelete

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder nodeInstanceLogDelete()

      Specified by:
        `nodeInstanceLogDelete` in interface `AuditLogService`

    - #### variableInstanceLogDelete

          public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogDeleteBuilder variableInstanceLogDelete()

      Specified by:
        `variableInstanceLogDelete` in interface `AuditLogService`

    - #### queryLogs

          public <T,R> List<R> queryLogs(org.jbpm.query.jpa.data.QueryWhere queryData,
                                         Class<T> queryClass,
                                         Class<R> resultClass)

      Specified by:
        `queryLogs` in interface `AuditLogService`

    - #### getQueryCriteriaUtil

          protected org.jbpm.query.jpa.impl.QueryCriteriaUtil getQueryCriteriaUtil(Class<?> queryType)

    - #### doQuery

          public <T> List<T> doQuery(org.jbpm.query.jpa.data.QueryWhere queryWhere,
                                     Class<T> queryType)

      Parameters:
        `queryWhere` -
        `queryType` -
      Returns:
        The result of the query, a list of type T

    - #### addCriteria

          protected static void addCriteria(String listId,
                                            String fieldName,
                                            Class<?> type)

    - #### doDelete

          public int doDelete(String queryTable,
                              org.jbpm.query.jpa.data.QueryWhere queryData,
                              String subQuery,
                              Map<String,Object> queryParams)

    - #### doPartialDelete

          public int doPartialDelete(String queryTable,
                                     org.jbpm.query.jpa.data.QueryWhere queryData,
                                     String subQuery,
                                     Map<String,Object> queryParams,
                                     int chunkSize)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.